Bug 306018 - Amarok crashes on startup
Summary: Amarok crashes on startup
Status: RESOLVED DUPLICATE of bug 305718
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.6.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
: 306028 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-30 06:34 UTC by Juha Tiensyrjä
Modified: 2012-09-04 09:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Output of "amarok -d --nofork" (59.03 KB, text/plain)
2012-09-03 15:07 UTC, Juha Tiensyrjä
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juha Tiensyrjä 2012-08-30 06:34:46 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.9.00
Qt Version: 4.8.2
Operating System: Linux 3.2.0-29-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I booted up my machine and Amarok (set to be autostart) simply crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc01bd45780 (LWP 2679))]

Thread 10 (Thread 0x7fbff9e37700 (LWP 2822)):
#0  0x00007fc013227f29 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc013228164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc018fc09e6 in QEventDispatcherGlib::processEvents (this=0x7fbff4000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#3  0x00007fc018f8ff22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#4  0x00007fc018f90177 in QEventLoop::exec (this=0x7fbff9e36dd0, flags=...) at kernel/qeventloop.cpp:204
#5  0x00007fc018e8f057 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#6  0x00007fc018f6fc2f in QInotifyFileSystemWatcherEngine::run (this=0x26f6830) at io/qfilesystemwatcher_inotify.cpp:248
#7  0x00007fc018e9207b in QThreadPrivate::start (arg=0x26f6830) at thread/qthread_unix.cpp:307
#8  0x00007fc014d43e9a in start_thread (arg=0x7fbff9e37700) at pthread_create.c:308
#9  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbff31b4700 (LWP 2831)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc018e9258b in wait (time=18446744073709551615, this=0x2911160) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x28fdce0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc0162db0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x290e770, th=0x290ed60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fc0162dd9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x290a640, th=0x290ed60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fc0162dc84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbff31b3e20, parent=0x290e770, th=0x290ed60) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fc0162dc8db in ThreadWeaver::Thread::run (this=0x290ed60) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fc018e9207b in QThreadPrivate::start (arg=0x290ed60) at thread/qthread_unix.cpp:307
#8  0x00007fc014d43e9a in start_thread (arg=0x7fbff31b4700) at pthread_create.c:308
#9  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fbff29b3700 (LWP 2832)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc018e9258b in wait (time=18446744073709551615, this=0x2911160) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x28fdce0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc0162db0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x290e770, th=0x290f900) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fc0162dd9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x290a640, th=0x290f900) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fc0162dc84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbff29b2e20, parent=0x290e770, th=0x290f900) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fc0162dc8db in ThreadWeaver::Thread::run (this=0x290f900) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fc018e9207b in QThreadPrivate::start (arg=0x290f900) at thread/qthread_unix.cpp:307
#8  0x00007fc014d43e9a in start_thread (arg=0x7fbff29b3700) at pthread_create.c:308
#9  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbfebfff700 (LWP 2833)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc018e9258b in wait (time=18446744073709551615, this=0x2911160) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x28fdce0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc0162db0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x290e770, th=0x2910430) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fc0162dd9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x290a640, th=0x2910430) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fc0162dc84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbfebffee20, parent=0x290e770, th=0x2910430) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fc0162dc8db in ThreadWeaver::Thread::run (this=0x2910430) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fc018e9207b in QThreadPrivate::start (arg=0x2910430) at thread/qthread_unix.cpp:307
#8  0x00007fc014d43e9a in start_thread (arg=0x7fbfebfff700) at pthread_create.c:308
#9  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbfeb7fe700 (LWP 2834)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc018e9258b in wait (time=18446744073709551615, this=0x2911160) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x28fdce0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc0162db0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x290e770, th=0x2929f90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fc0162dd9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x290a640, th=0x2929f90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fc0162dc84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbfeb7fde20, parent=0x290e770, th=0x2929f90) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fc0162dc8db in ThreadWeaver::Thread::run (this=0x2929f90) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fc018e9207b in QThreadPrivate::start (arg=0x2929f90) at thread/qthread_unix.cpp:307
#8  0x00007fc014d43e9a in start_thread (arg=0x7fbfeb7fe700) at pthread_create.c:308
#9  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbff15ba700 (LWP 2886)):
#0  0x00007fc018629b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc013228036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc013228164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc018fc09e6 in QEventDispatcherGlib::processEvents (this=0x7fbfdc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc018f8ff22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc018f90177 in QEventLoop::exec (this=0x7fbff15b9dd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc018e8f057 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fc018f6fc2f in QInotifyFileSystemWatcherEngine::run (this=0x2a7cbb0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fc018e9207b in QThreadPrivate::start (arg=0x2a7cbb0) at thread/qthread_unix.cpp:307
#9  0x00007fc014d43e9a in start_thread (arg=0x7fbff15ba700) at pthread_create.c:308
#10 0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fbfeaffd700 (LWP 2887)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc00fe63dec in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fc00fe63f19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fc014d43e9a in start_thread (arg=0x7fbfeaffd700) at pthread_create.c:308
#4  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fbfea7fc700 (LWP 2888)):
#0  idleTimerSourcePrepare (source=<optimized out>, timeout=0x7fbfea7fbc9c) at kernel/qeventdispatcher_glib.cpp:209
#1  0x00007fc013227846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc013227f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc013228164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc018fc09e6 in QEventDispatcherGlib::processEvents (this=0x7fbfd00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fc018f8ff22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fc018f90177 in QEventLoop::exec (this=0x7fbfea7fbe00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fc018e8f057 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fc018e9207b in QThreadPrivate::start (arg=0x2b6ec10) at thread/qthread_unix.cpp:307
#9  0x00007fc014d43e9a in start_thread (arg=0x7fbfea7fc700) at pthread_create.c:308
#10 0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbfe91a9700 (LWP 3119)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc01531f022 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007fc01531f059 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007fc014d43e9a in start_thread (arg=0x7fbfe91a9700) at pthread_create.c:308
#4  0x00007fc0186354bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc01bd45780 (LWP 2679)):
[KCrash Handler]
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:268
#7  0x00007fc015258f89 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#8  0x00007fc0152788df in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#9  0x00007fc0152762ca in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#10 0x00007fc0152c416d in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#11 0x00007fc0152c47fc in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#12 0x00007fc015361787 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#13 0x00007fc01536265e in QScriptEngine::QScriptEngine(QObject*) () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#14 0x00007fc01ad6ed42 in ScriptManager::slotRunScript (this=0x2f48cd0, name=..., silent=false) at ../../src/ScriptManager.cpp:245
#15 0x00007fc01ad70a5b in ScriptManager::configChanged (this=0x2f48cd0, changed=<optimized out>) at ../../src/ScriptManager.cpp:370
#16 0x00007fc01ad70c30 in ScriptManager::updaterFinished (this=0x2f48cd0, scriptPath=...) at ../../src/ScriptManager.cpp:228
#17 0x00007fc018fa5841 in QMetaObject::activate (sender=0x2e05660, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff90279f40) at kernel/qobject.cpp:3547
#18 0x00007fc01a94e372 in ScriptUpdater::finished (this=<optimized out>, _t1=...) at moc_ScriptUpdater.cpp:110
#19 0x00007fc01ad7387c in ScriptUpdater::phase3 (this=0x2e05660, job=<optimized out>) at ../../src/ScriptUpdater.cpp:132
#20 0x00007fc018fa5841 in QMetaObject::activate (sender=0x30e6ca0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9027a110) at kernel/qobject.cpp:3547
#21 0x00007fc01941c192 in KJob::result (this=<optimized out>, _t1=0x30e6ca0) at ./kjob.moc:208
#22 0x00007fc01941c1d0 in KJob::emitResult (this=0x30e6ca0) at ../../kdecore/jobs/kjob.cpp:318
#23 0x00007fc0168d4438 in KIO::FileCopyJob::slotResult (this=0x30e6ca0, job=0x302c450) at ../../kio/kio/job.cpp:2384
#24 0x00007fc018fa5841 in QMetaObject::activate (sender=0x302c450, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9027a2c0) at kernel/qobject.cpp:3547
#25 0x00007fc01941c192 in KJob::result (this=<optimized out>, _t1=0x302c450) at ./kjob.moc:208
#26 0x00007fc01941c1d0 in KJob::emitResult (this=0x302c450) at ../../kdecore/jobs/kjob.cpp:318
#27 0x00007fc0168ccde4 in KIO::SimpleJob::slotFinished (this=0x302c450) at ../../kio/kio/job.cpp:494
#28 0x00007fc0168d473d in KIO::TransferJob::slotFinished (this=0x302c450) at ../../kio/kio/job.cpp:1081
#29 0x00007fc0168ccf36 in KIO::SimpleJob::slotError (this=0x302c450, err=<optimized out>, errorText=...) at ../../kio/kio/job.cpp:506
#30 0x00007fc018fa5841 in QMetaObject::activate (sender=0x2b37450, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9027a770) at kernel/qobject.cpp:3547
#31 0x00007fc016978916 in KIO::SlaveInterface::error (this=<optimized out>, _t1=111, _t2=...) at ./slaveinterface.moc:173
#32 0x00007fc01697b4c4 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=<optimized out>, rawdata=...) at ../../kio/kio/slaveinterface.cpp:205
#33 0x00007fc016978195 in KIO::SlaveInterface::dispatch (this=0x2b37450) at ../../kio/kio/slaveinterface.cpp:88
#34 0x00007fc01696b41e in KIO::Slave::gotInput (this=0x2b37450) at ../../kio/kio/slave.cpp:344
#35 0x00007fc018fa5841 in QMetaObject::activate (sender=0x2fc8a30, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#36 0x00007fc01689d687 in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#37 KIO::ConnectionPrivate::dequeue (this=0x2fda7e0) at ../../kio/kio/connection.cpp:71
#38 0x00007fc018faaa06 in QObject::event (this=0x2fc8a30, e=<optimized out>) at kernel/qobject.cpp:1195
#39 0x00007fc01998b7b4 in notify_helper (e=0x30b7720, receiver=0x2fc8a30, this=0x1fd4530) at kernel/qapplication.cpp:4556
#40 QApplicationPrivate::notify_helper (this=0x1fd4530, receiver=0x2fc8a30, e=0x30b7720) at kernel/qapplication.cpp:4528
#41 0x00007fc019990583 in QApplication::notify (this=0x7fff9027b590, receiver=0x2fc8a30, e=0x30b7720) at kernel/qapplication.cpp:4417
#42 0x00007fc01b744456 in KApplication::notify (this=0x7fff9027b590, receiver=0x2fc8a30, event=0x30b7720) at ../../kdeui/kernel/kapplication.cpp:311
#43 0x00007fc018f913ec in QCoreApplication::notifyInternal (this=0x7fff9027b590, receiver=0x2fc8a30, event=0x30b7720) at kernel/qcoreapplication.cpp:915
#44 0x00007fc018f951ca in sendEvent (event=0x30b7720, receiver=0x2fc8a30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#45 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1e641f0) at kernel/qcoreapplication.cpp:1539
#46 0x00007fc018fc0553 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#47 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#48 0x00007fc013227d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#49 0x00007fc0132280a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#50 0x00007fc013228164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007fc018fc097f in QEventDispatcherGlib::processEvents (this=0x1e65ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#52 0x00007fc019a33cde in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0x00007fc018f8ff22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#54 0x00007fc018f90177 in QEventLoop::exec (this=0x7fff9027b520, flags=...) at kernel/qeventloop.cpp:204
#55 0x00007fc018f954c7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#56 0x0000000000408f76 in main (argc=3, argv=0x7fff9027da78) at ../../src/main.cpp:306

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-08-30 07:02:45 UTC
Please disable all external scripts and re-enable them step by step to identify the culprit.
Comment 2 Juha Tiensyrjä 2012-08-30 17:25:08 UTC
Disabling all scripts in ~/.kde/share/config/amarokrc did not help, Amarok still crashes on startup.

I also removed amarokrc and ~/.kde/share/apps/amarok completely and tried to start Amarok. It shows the main window but dies before I have time to do anything. If you want, I can try to get debugging output from that scenario as well.

More information about my setup:
- /home is on an NFS mount, BUT
- ~/.kde is a symlink to a directory in the local filesystem (to allow using KDE on multiple machines at the same time)
Comment 3 Myriam Schweingruber 2012-09-02 06:04:05 UTC
Please start Amarok from a konsole with 'amarok -d --nofork' and provide the output here.
Comment 4 Myriam Schweingruber 2012-09-02 06:10:43 UTC
*** Bug 306028 has been marked as a duplicate of this bug. ***
Comment 5 fa 2012-09-02 15:18:28 UTC
I have toggle all Amarok services to false in ~/.kde/share/config/amarokrc and I don't obtain any other crash ! So I've enabled each of them individually.I'm having trouble only with amarok_service_lastfm and amarok_service_mp3tunes while others services are turned off. So I will let them to false in order to run Amarok normally..
Comment 6 Myriam Schweingruber 2012-09-03 09:59:37 UTC
Thank you for the fast feedback. Juha, could you please check if that also helps in your case?
Comment 7 fa 2012-09-03 10:05:41 UTC
today Amarok's crashed again... I've reopened the amarokrc file, and the only thing that I've made is that I've disactivated the splash screen. It works now... So I'm wondering if the problem is completely solved...
Comment 8 Myriam Schweingruber 2012-09-03 10:32:28 UTC
(In reply to comment #7)
> today Amarok's crashed again... I've reopened the amarokrc file, and the
> only thing that I've made is that I've disactivated the splash screen. It
> works now... So I'm wondering if the problem is completely solved...

But did you get the same backtrace?
Comment 9 Juha Tiensyrjä 2012-09-03 15:07:37 UTC
Created attachment 73626 [details]
Output of "amarok -d --nofork"

Attached is the output of "amarok -d --nofork".

I also toggled all services to false in amarokrc, still it crashes.
Comment 10 Myriam Schweingruber 2012-09-04 07:39:33 UTC
This is most likely a problem with Qt 4.8.2, please report this upstream at https://bugreports.qt-project.org
Comment 11 Christoph Feck 2012-09-04 09:56:34 UTC

*** This bug has been marked as a duplicate of bug 305718 ***